@import "reset.css";
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;700&display=swap');
section{
    background-image: url(../images/backgroun.png);
    background-size:cover ;
    background-repeat: no-repeat;
    height: 100vh;
    width: 100%;
}
*{box-sizing: border-box;
}
a{    
    text-decoration: none;   
    vertical-align: middle;
    color: #ffffff; 
}
.header a:not(:last-child){   
    
    margin-right: 28px;
    
}
.icon{
    display: inline-block;
    width: 30px;    
    height: 20px;
    background-image: url(../images/css_sprites.png);
}
.calendar{
    background-position: 4px 83px;
}
.forum{
    
    background-position: -30px -21px;
}
.journey{
    background-position:4px -84px ;
}
.container{
    font-family: Ubuntu, sans-serif;
    color: #ffffff;
    font-size: 14px;
       
}
.clearfix{
    clear: both;    
    overflow: hidden;
}

header {
    width: 100%;    
    background-color: rgba(0, 0, 0, 0.4);
}
.header>div{  
    padding: 19px 106px;  
    display: inline-block;
}
.logo{   
  float: left;  
   letter-spacing:0.15rem; 
   font-weight: 700;
   font-size: 1.375rem;
   text-transform: uppercase;  
}
.right-side{  
      float: right;
   
}
.header a:hover{  
    font-size: 1.2em;
    transform: scale(1.5);
    color:#3CB878;
}
a:hover.calendar{
    background-position:4px 20.5px;
}
a:hover.forum{
    
    background-position: -29px 0px;
}
a:hover.journey{
    background-position:4px -63px ;
}

.content{  
    width:100%;    
    height: calc(100vh - 3.625rem);
    color: black;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}
.authorization-window{
    border-radius: 4px;
    width: 444px;   
    background-color: #ffffff;
}

.content a{
    color: #3CB878;
    line-height: 20px;
}



form{  
    width: 80%;
    margin: 0px auto; 
    
    
}
input{
    padding-left: 18px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    margin-top: 10px;
    height: 46px;
    width: 100%;
    font-family: Ubuntu, sans-serif;
}
input:focus{
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}
.authorization-method-selection{
   position: relative;
   display: flex;
   justify-content: space-between;    
   width: 80%;
   margin: 30px auto;
   }
   .authorization-method-selection a:hover{
       color: black;
       font-size: 20px;
   }
   .authorization-method-selection::before{
       position: absolute;
       content: "";
       width: 18px;
       height: 18px;
       background-color: #3CB878;
       left: -12.5%;
   }
   .social-buttons{
       display: flex;
       justify-content: space-between;
       margin-bottom: 32px;
       
   }
   button{
    font-family: Ubuntu, sans-serif;
   }
   .social{
       vertical-align: middle;
       text-align: left;
       width: 49%;
       border: none;
       border-radius: 4px;
       padding: 0;
       letter-spacing: 1px;
   }
   button[name="facebook"]{     
        background-color: #305db8;
       color: #ffffff;
       
   }
   button[name="google"]{
    background-color: #df4a32;
    color: #ffffff;
}
button[name="facebook"]::before{   
    vertical-align: middle;
    border-right: 1px solid rgba(10, 22, 47, 0.15);
    display: inline-block;
    content: "";
    width: 10px;
    height: 28px;
    background-image: url(../images/facebook.png);
    background-repeat: no-repeat;
    padding: 0px 20px;
    background-position: 50%;

}
button span{
    display: inline-block;
    margin: 17px 20px;
}
button[name="google"]::before{   
    vertical-align: middle;
    border-right: 1px solid rgba(10, 22, 47, 0.15);
    display: inline-block;
    content: "";
    width: 10px;
    height: 28px;
    background-image: url(../images/google.png);
    background-repeat: no-repeat;
    padding: 0px 20px;
    background-position: 50%;
}
.decor-element{
    align-items: center;
    display: flex;
    justify-content: space-between;
    color: #848484;
    margin-bottom: 15px;
}
.decor-element::before{
    content: "";
    width: 45%;
    height: 1px;
    background-color: rgba(0, 0, 0, 0.1);
}
.decor-element::after{
    content: "";
    width: 45%;
    height: 1px;
    background-color: rgba(0, 0, 0, 0.1);
}

input::-webkit-input-placeholder {
    color:#BEBEBE;
}
input::-moz-placeholder {
    color:#BEBEBE;
}
input:focus::-webkit-input-placeholder {
    color:transparent;
}
input:focus::-moz-placeholder {
    color:transparent;
}
label span{
color: #3CB878;
}
button[type="submit"]{   
    width: 100%;
    background-color: #3CB878;
    color: #ffffff;
    font-size: 1rem;
    padding-top: 15px ;
    padding-bottom: 15px;
    border: none;
    border-radius: 4px;
    margin-bottom: 20px;
    
}
#checkbox1{
    position: absolute;
    z-index: -1;
    opacity: 0;
    
}
.checkbox{
    display: flex;
    position: relative;
    margin:20px 20px 20px 0px;
    padding-left: 35px;
    align-items: center;
    
}   
    
    .checkbox label::before {
    position: absolute;
    content: "";
    left: 0;
    top: -3px;
    width: 20px;
    height: 20px; 
    border: 1px solid #F2F2F2;
    border-radius: 0.25em;
    margin-right: 0.5em;    
    

   
    }
    .checkbox label::after{
        position: absolute;
        top: 0px;
        left: 2.5px;
        content: "";
        height: 8px;
        width: 14px;
        border-left: 2px solid #3CB878;
        border-bottom: 2px solid #3CB878;        
        transform: rotate(-45deg);
    }
.checkbox input + label::after{
    content: none;
}
.checkbox input[type="checkbox"]:checked + label::after {
    content: "";
}
.checkbox label{
    cursor: pointer;
}